Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class Account

    java.lang.Object
      portlets.compoze.groupware.Account

All Implemented Interfaces:
  java.io.Serializable

public class Account
extends java.lang.Object
implements java.io.Serializable

This class represents a user account.

See Also:
  Serialized Form

Method Summary
`void` | `delete(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Deletes this account.
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`ConnectionPropertyValue[]` | `getConnectionPropertyValues()` Gets the connection property values.
`ConnectionPropertyValue[]` | `getConnectionPropertyValues(javax.servlet.http.HttpSession s, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Gets the connection property values.
`java.lang.String` | `getID()` Gets the account ID.
`java.lang.String` | `getName()` Gets the account name.
`portlets.compoze.groupware.controls.provider.Provider` | `getProvider()` Gets the provider.
`portlets.compoze.groupware.controls.provider.ProviderSession` | `getProviderSession()` Gets the provider session.
`boolean` | `isConnectedToProvider()` Gets true if this account was connected to the provider during provider session creation or false otherwise.
`boolean` | `isDefault()` Checks if the account is the default account.
`void` | `setConnectionPropertyValues(javax.servlet.http.HttpSession s, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, ConnectionPropertyValue[] values)` Sets the connection property values.
`void` | `setDefault(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Sets the account as the default account.
`void` | `setIsConnectedToProvider(boolean bConnectedToProvider)` Sets true if this account was connected to the provider during provider session creation or false otherwise.
`void` | `setName(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, java.lang.String sName)` Sets the account name.
`void` | `setProviderSession(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, portlets.compoze.groupware.controls.provider.ProviderSession providerSession)` Sets the provider session.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Gets the account name.

  Returns:
    the account name

### getProvider

    public portlets.compoze.groupware.controls.provider.Provider getProvider()

  Gets the provider.

  Returns:
    the provider for this account

### setProviderSession

    public void setProviderSession(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                   portlets.compoze.groupware.controls.provider.ProviderSession providerSession)

  Sets the provider session.

  Parameters:
    `userProfileWrapper` - the user profile wrapper
    `providerSession` - the provider session

### getProviderSession

    public portlets.compoze.groupware.controls.provider.ProviderSession getProviderSession()

  Gets the provider session.

  Returns:
    the provider session or `null` if not available

### setName

    public void setName(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                        java.lang.String sName)
                 throws GroupwareException

  Sets the account name.

  Parameters:
    `userProfileWrapper` - the user profile (may not be `null`)
    `sName` - the account name
  Throws:
    `GroupwareException`

### getID

    public java.lang.String getID()

  Gets the account ID.

  Returns:
    the account ID

### isDefault

    public boolean isDefault()

  Checks if the account is the default account.

  Returns:
    `true` for default account; `false` otherwise

### setDefault

    public void setDefault(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                    throws GroupwareException

  Sets the account as the default account.

  Parameters:
    `userProfileWrapper` - the user profile (may not be `null`)
  Throws:
    `GroupwareException`

### delete

    public void delete(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                throws GroupwareException

  Deletes this account.

  Parameters:
    `userProfileWrapper` - the user profile (may not be `null`)
  Throws:
    `GroupwareException`

### setConnectionPropertyValues

    public void setConnectionPropertyValues(javax.servlet.http.HttpSession s,
                                            com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                            ConnectionPropertyValue[] values)
                                     throws GroupwareException

  Sets the connection property values.

  Parameters:
    `s` - the http session (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
    `values` - the connection property values
  Throws:
    `GroupwareException`

### getConnectionPropertyValues

    public ConnectionPropertyValue[] getConnectionPropertyValues()
                                                          throws GroupwareException

  Gets the connection property values.

  Returns:
    the connection property values or `null` if values not initialized
  Throws:
    `GroupwareException`
  See Also:
    `getConnectionPropertyValues(HttpSession s, ProfileWrapper userProfileWrapper)`

### getConnectionPropertyValues

    public ConnectionPropertyValue[] getConnectionPropertyValues(javax.servlet.http.HttpSession s,
                                                                 com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                                                          throws GroupwareException

  Gets the connection property values.

  Parameters:
    `s` - the http session (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
  Returns:
    the connection property values or an empty array for none
  Throws:
    `GroupwareException`

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The id is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same id as the argument; `false` otherwise
  See Also:
    `getID()`

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Returns:
    the string representation of the object

### isConnectedToProvider

    public boolean isConnectedToProvider()

  Gets true if this account was connected to the provider during provider session creation or false otherwise.

  Returns:
    `true` if this account was connected to the provider during provider session creation or `false` otherwise

### setIsConnectedToProvider

    public void setIsConnectedToProvider(boolean bConnectedToProvider)

  Sets true if this account was connected to the provider during provider session creation or false otherwise.

  Parameters:
    `bConnectedToProvider` - `true` if this account was connected to the provider during provider session creation or `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.